Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227482 - X crashes on startup / driver segfault
Summary: X crashes on startup / driver segfault
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-06 11:28 UTC by An. N
Modified: 2018-04-11 14:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-11 17:34:26 UTC


Attachments (Terms of Use)
X Crash console output (deleted)
2007-02-06 11:28 UTC, An. N
no flags Details
Successful X startup log (deleted)
2007-02-06 11:29 UTC, An. N
no flags Details
xorg.conf (deleted)
2007-02-06 11:30 UTC, An. N
no flags Details

Description An. N 2007-02-06 11:28:21 UTC
Description of problem:
Often (8-9 times out of 10) xorg crashes when the X server is restarted,
especially if the xorg.conf file has changed

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-1.6.5-10.fc6
A standard Fedora 6 install w/ updates

How reproducible:
Always

Steps to Reproduce:
1. Start X server (i.e. Fedora in graphical mode)
2. Restart X server (i.e. Logoff or ctrl-alt-backsp)
3.
  
Actual results:
X crashes

Expected results:
X starts up

Additional info:
Included attachments contain:
1) crashed X startup log (console)
2) successfully started X startup log (from /var/log)
3) xorg.conf

The machine is a HP NC6400 notebook with Intel 945GM graphics. The xorg.conf
included uses Xinerama, but the problem exists in single display mode as well.
Both PCI ids in the Device section of the xorg.conf file are identical, it was
the only way Xinerama would run.

Comment 1 An. N 2007-02-06 11:28:21 UTC
Created attachment 147455 [details]
X Crash console output

Comment 2 An. N 2007-02-06 11:29:15 UTC
Created attachment 147456 [details]
Successful X startup log

Comment 3 An. N 2007-02-06 11:30:47 UTC
Created attachment 147457 [details]
xorg.conf

Comment 4 Adam Jackson 2007-04-11 15:24:16 UTC
Does this also happen with the intel driver in F7?  Test4 should include this
driver on the LiveCD, so if you can test with that (once it's released) it'd be
appreciated.

Comment 5 An. N 2007-05-15 14:32:01 UTC
Unfortunately the size of the LiveCD for x86_64 is 800MB - there is no way I can
record it to a CDRW (useless by the way), so I'll be able to follow up on this
no sooner than some time after FC7.

Comment 6 Matěj Cepl 2007-12-10 09:23:49 UTC
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]

Comment 7 Jesse Barnes 2008-01-10 22:08:57 UTC
This can probably be safely closed.  If X fails to start in a recent build, 
we'll doubtless see several new bugs filed.

Comment 8 Matěj Cepl 2008-01-11 17:34:26 UTC
Probably, I plan to close all these NEEDINFO unanswered for some time (it will
be pretty soon, probably next week) en-masse.


Note You need to log in before you can comment on or make changes to this bug.